// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-17 14:22:01
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1;

// Feature: Temperature Control Servicer
//   
//                   Set and retrieve information regarding the temperature setpoints and current temperature readings of the
//   LAUDA LOOP 250 thermostat. Setpoint thresholds may be defined within the range of the upper and lower temperature limits
//   THi and TLo.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service TemperatureControlServicer {
    // Set Temperature value
    //   Set the desired temperature of the thermostat
    rpc SetPointTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Responses) {}
    // Set Upper Lim Temperature Value
    //   
    //           Set the upper limit of the feed line temperature of the thermostat, Tih.
    //           The temperature limits restrict the input range of the temperature setpoint, Tset.
    //   
    rpc SetUpperLimTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Responses) {}
    // Set Lower Lim Temperature Value
    //   
    //           Set the lower limit of the feed line temperature of the thermostat, Til.
    //           The temperature limits restrict the input range of the temperature setpoint, Tset.
    //   
    rpc SetLowerLimTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Responses) {}
    // Get Feed Line Temperature
    //   Get Feed Line Temperature of the Thermostat.
    rpc GetFeedLineTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Responses) {}
    // Get Setpoint Temperature value
    //   Get the desired setpoint temperature of the thermostat
    rpc GetSetpointTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Responses) {}
    // Get Upper Lim Temperature
    //   Get upper limit temperature.
    rpc GetUpperLimTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Responses) {}
    // Get Lower Lim Temperature
    //   Get lower limit temperature.
    rpc GetLowerLimTemperature(sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Parameters) returns (sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message SetPointTemperature_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetTemperature = 1;
}

message SetPointTemperature_Responses {
    sila2.org.silastandard.String SetTemperatureSet = 1;
}

message SetUpperLimTemperature_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real UpperLimTemperature = 1;
}

message SetUpperLimTemperature_Responses {
    sila2.org.silastandard.String UpperLimTemperatureSet = 1;
}

message SetLowerLimTemperature_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real LowerLimTemperature = 1;
}

message SetLowerLimTemperature_Responses {
    sila2.org.silastandard.String LowerLimTemperatureSet = 1;
}

message GetFeedLineTemperature_Parameters {
    
}

message GetFeedLineTemperature_Responses {
    sila2.org.silastandard.String CurrentFeedLineTemperature = 1;
}

message GetSetpointTemperature_Parameters {
    
}

message GetSetpointTemperature_Responses {
    sila2.org.silastandard.String CurrentTemperatureSetpoint = 1;
}

message GetUpperLimTemperature_Parameters {
    
}

message GetUpperLimTemperature_Responses {
    sila2.org.silastandard.String CurrentUpperLimTemperature = 1;
}

message GetLowerLimTemperature_Parameters {
    
}

message GetLowerLimTemperature_Responses {
    sila2.org.silastandard.String CurrentLowerLimTemperature = 1;
}


// ----------------- Metadata Definitions ------------------
